diff -rupN empty/Makefile port/Makefile
--- empty/Makefile	1970-01-01 01:00:00.000000000 +0100
+++ port/Makefile	2013-09-21 13:07:51.000000000 +0100
@@ -0,0 +1,25 @@
+# $FreeBSD$
+
+PORTNAME=	pkgpackagekit
+PORTVERSION=	0.1.1
+CATEGORIES=	ports-mgmt
+MASTER_SITES=	http://ftp1.fr.freebsd.org/mirrors/ftp.freebsd.org/ports/local-distfiles/jlaffaye/ \
+		http://ftp2.fr.freebsd.org/mirrors/ftp.freebsd.org/ports/local-distfiles/jlaffaye/
+
+MAINTAINER=	mattbw@FreeBSD.org
+COMMENT=	PackageKit backend for pkgng
+
+LICENSE=	GPLv2
+
+LIB_DEPENDS=	libpackagekit-glib2.so:${PORTSDIR}/ports-mgmt/packagekit \
+		libpkg.so:${PORTSDIR}/ports-mgmt/pkg
+
+USE_LDCONFIG=	yes
+
+WRKSRC=		${WRKDIR}/backend
+PLIST_FILES=	lib/packagekit-backend/libpk_backend_pkgng.so
+
+post-install:
+	@${CAT} pkg-message | ${SED} 's,%%PREFIX%%,${PREFIX},g'
+
+.include <bsd.port.mk>
diff -rupN empty/distinfo port/distinfo
--- empty/distinfo	1970-01-01 01:00:00.000000000 +0100
+++ port/distinfo	2013-09-20 13:24:11.000000000 +0100
@@ -0,0 +1,2 @@
+SHA256 (pkgpackagekit-0.1.1.tar.gz) = 855e70060e623dbaba043753b658f23fef33a88b98c6b0113bd13439188ce354
+SIZE (pkgpackagekit-0.1.1.tar.gz) = 40960
diff -rupN empty/pkg-descr port/pkg-descr
--- empty/pkg-descr	1970-01-01 01:00:00.000000000 +0100
+++ port/pkg-descr	2013-09-19 13:16:28.000000000 +0100
@@ -0,0 +1,6 @@
+This is an experimental PackageKit backend for pkgng, the FreeBSD next
+generation package manager.  In conjunction with PackageKit frontends such as
+Apper and GPackageKit, it allows for maintenance of the pkgng system inside a
+graphical user environment.
+
+WWW: http://wiki.FreeBSD.org/SummerOfCode2013/pkgPackagekit
diff -rupN empty/pkg-message port/pkg-message
--- empty/pkg-message	1970-01-01 01:00:00.000000000 +0100
+++ port/pkg-message	2013-09-21 12:46:19.000000000 +0100
@@ -0,0 +1,14 @@
+In order to enable this backend by default, you will need to change the file
+%%PREFIX%%/etc/PackageKit/PackageKit.conf, replacing the line:
+
+< DefaultBackend=ports
+
+with:
+
+> DefaultBackend=pkgng
+
+Otherwise, PackageKit will default to using the ports backend unless you
+explicitly launch packagekitd with a different backend.
+
+To use PackageKit, don't forget to enable dbus (for example, by adding
+dbus_enable="yes" to /etc/rc.conf, or `service dbus start`).
